%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname ruby-net-ldap
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        A full-featured pure-Ruby LDAP client
Name:           rubygem-%{gemname}
Version:        0.0.4
Release:        5%{?dist}
Group:          Development/Languages
License:        GPLv2+
URL:            http://rubyforge.org/projects/net-ldap/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       rubygems
Requires:       ruby(abi) = 1.8
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
This project will be the focus of development for a pure Ruby
LDAP environment. A full-featured pure-Ruby LDAP client is now
available.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force %{SOURCE0}

%check
pushd %{buildroot}/%{geminstdir}/
for file in tests/*.rb; do
    ruby $file || :
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{gemdir}/doc/%{gemname}-%{version}
%dir %{geminstdir}
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/LICENCE
%doc %{geminstdir}/README
%{geminstdir}/lib
%{geminstdir}/tests
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-4
- Remove obsoletes header

* Tue Nov 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-3
- Fix license

* Sat Nov 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.0.4-2
- Review

* Mon Mar 09 2009 Sandro Janke <s.janke@ogd.nl> - 0.0.4-1
- Initial package
